//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "ConsoleIO.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TEdit *Edit1;
        TListBox *ListBox1;
        TGUI2Console *GUI2Console1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall GUI2Console1Start(TObject *Sender,
          const AnsiString Command);
        void __fastcall GUI2Console1Done(TObject *Sender);
        void __fastcall GUI2Console1Line(TObject *Sender,
          const AnsiString Line);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall GUI2Console1Prompt(TObject *Sender,
          const AnsiString Line);
        void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
        void __fastcall GUI2Console1Error(TObject *Sender,
          const AnsiString Error);
        void __fastcall ListBox1Enter(TObject *Sender);
        void __fastcall Edit1KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall GUI2Console1PreTerminate(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString Delimit;
        char FKey;
        __fastcall TForm1(TComponent* Owner);
        int AddListBox(AnsiString E);

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
enum TOSType {ostUnknown,ostWin95,ostWinNT} ;
struct TPrompt {
                 int Index;
                 AnsiString Str;
                 bool AtPrompt;
                } Prompt;
#endif
